Skip to main content
PATCH
/
folders
/
{id}
Python
from dub import Dub


with Dub(
    token="DUB_API_KEY",
) as d_client:

    res = d_client.folders.update(id="<id>")

    # Handle response
    print(res)
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "type": "default",
  "accessLevel": null,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://dub-partner-network.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

id
string
required

The ID of the folder to update.

Body

application/json
name
string

The name of the folder.

Maximum string length: 190
description
string | null

The description of the folder.

Maximum string length: 500
accessLevel
enum<string> | null

The access level of the folder within the workspace.

Available options:
write,
read

Response

The updated folder.

id
string
required

The unique ID of the folder.

name
string
required

The name of the folder.

description
string | null
required

The description of the folder.

type
enum<string>
required
Available options:
default,
mega
accessLevel
enum<string> | null
required

The access level of the folder within the workspace.

Available options:
write,
read
createdAt
string
required

The date the folder was created.

updatedAt
string
required

The date the folder was updated.